Retrieves the status of a backup of a WordPress installation
package main
import ( "fmt" "net/http" "io")
func main() {
url := "https://api.wpengineapi.com/v1/installs/example/backups/example"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <credentials>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close() body, _ := io.ReadAll(res.Body)
fmt.Println(res) fmt.Println(string(body))
}const url = 'https://api.wpengineapi.com/v1/installs/example/backups/example';const options = {method: 'GET', headers: {Authorization: 'Basic <credentials>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.wpengineapi.com/v1/installs/example/backups/example \ --header 'Authorization: Basic <credentials>'Retrieves the status of a backup of a WordPress installation. Possible statuses include
requestedin_progresscompletedabortedinitiatedhas been deprecated forin_progress.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ”ID of install
ID of backup
Responses
Section titled “ Responses ”A backup
object
The unique identifier of the backup
State of the backup.
Human-readable description provided when the backup was requested
Timestamp when the backup was created
Timestamp when the backup completed. null while the backup is still in progress.
WordPress version of the install at the time the backup was taken
Example
{ "id": "e41fa98f-ea80-4654-b229-a9b765d0863a", "status": "requested", "description": "Pre-deploy snapshot", "create_time": "2024-01-15T10:00:00Z", "complete_time": "2024-01-15T10:30:00Z", "wordpress_version": "6.4.2"}Bad Request
object
A message regarding the error that occurred on the server
(Optional) A URL where documentation regarding this specific error can be found
An array of error objects describing specific errors that arose when servicing the request
object
The name of the resource that was being processed when the error occurred
(Optional) The specific field associated with the error
(Optional) A type associated with the error. invalid_value, access_error, value_unavailable
(Optional) A machine code relating to the error that occurred with the field and resource
(Optional) A human-readable message relating to the error that occurred with the field and resource
Example
{ "message": "Invalid Site: Name cannot be empty.", "errors": [ { "resource": "Site", "field": "name", "type": "invalid_value", "code": "too_long", "message": "Name is too long (maximum is 40 characters)" } ]}Authentication Error
object
A message regarding the error that occurred on the server
(Optional) A URL where documentation regarding this specific error can be found
Example
{ "message": "Bad Credentials"}Not found
object
A message regarding the error that occurred on the server
(Optional) A URL where documentation regarding this specific error can be found
Example
{ "message": "Not Found"}Too many requests
Service unavailable